Subject: [bug#28055] [WIP] Add knot tests

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 16 Aug 2017 11:09:03 +0200

Hi Julien,

> This patch aims at adding a system test for knot. I've implemented the
> DNS protocol to be able to communicate with the server and try some
> queries. Unfortunately, although the server seems to be launched (the
> first test passes), it then refuses to answer. Do you see anything
> wrong, or anything I could do to understand why it doesn't pass?

It looks like overkill to implement DNS queries with bytevectors from
the ground up.  Is there not an easier way to make a DNS test?

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net